Subject: Re: bug#68929: [PATCH] Copy which-key from GNU ELPA into core

From: Jeremy Bryant <[email-masked]>
Date: Wed, 07 Feb 2024 21:48:00 +0000

Philip Kaludercic <[email-masked]> writes:

> My genera feeling is that the code is reinventing the wheel at a number
> of places, which might make it more complicated to maintain in the long
> term.  Looking for ways to slim down the codebase, perhaps by
> deprecating some options, dropping support for third-party packages and
> reusing existing functionality seems like something one should look into.

Should these improvements be made before moving which-key to core?